# pqxx::internal::namedclass Class Reference

`#include <util.hxx>`

Inheritance diagram for pqxx::internal::namedclass:

[legend]

List of all members.

## Public Member Functions
| namedclass (const std::string &Classname, const std::string &Name="")
const std::string & | name () const throw ()
const std::string & | classname () const throw ()
std::string | description () const

## Constructor & Destructor Documentation

pqxx::internal::namedclass::namedclass | ( | const std::string & | Classname,
|  | const std::string & | Name = `""` |
| ) |  |  |

## Member Function Documentation

const std ::string& pqxx::internal::namedclass::classname | ( |  | ) | const throw ()

Referenced by description().

string pqxx::internal::namedclass::description | ( |  | ) | const

References classname(), and name().

Referenced by pqxx::transaction_base::abort(), pqxx::internal::CheckUniqueRegistration(), pqxx::internal::CheckUniqueUnregistration(), pqxx::connection_base::close(), pqxx::transaction_base::commit(), pqxx::connection_base::deactivate(), pqxx::transaction_base::End(), pqxx::transaction_base::exec(), and pqxx::transaction_base::~transaction_base().

const std ::string& pqxx::internal::namedclass::name | ( |  | ) | const throw ()

Referenced by description().

The documentation for this class was generated from the following files:

- util.hxx
- util.cxx